# -*- rpm-spec -*-
# $Id: cpuspeed,v 1.5 2004/04/17 10:15:17 grigory Exp $

Name: cpuspeed
Version: 1.1
Release: alt1

Summary: monitors the system's idle percentage and reduces
License: GPL
Group: System/Kernel and hardware
Url: http://carlthompson.net/Software/CPUSpeed

Source0: %name-%version.tar.gz
Source1: %name.init

# Automatically added by buildreq on Sat Apr 17 2004
BuildRequires: gcc-c++

%description
This program monitors the system's idle percentage and reduces or raises the
CPU clock speed and voltage accordingly to minimize power consumption when
idle and maximize performance when needed.  This is the default behavior.

The program can also be configured to reduce the CPU clock speed if the CPU
temperature gets too high or if the computer's AC adapter is disconnected.

This program is only for computers with Linux kernels compiled with CPUFreq.
You must have a CPU that supports frequency and/or voltage scaling via CPUFreq
to use this program.  Your kernel must be compiled to support the "userspace"
CPUFreq governor and the "sysfs" interface on Linux 2.5+ or the "proc"
interface on Linux 2.4.

I use this program on my eMachines M5305 laptop to increase battery life and
control performance.

%prep
%setup -q

%build
%make_build

%install
%__mkdir_p %buildroot{/sbin,%_sysconfdir/sysconfig,%_initdir}
%__install -m0755 cpuspeed %buildroot/sbin/%name
%__install -m0755 %SOURCE1 %buildroot%_initdir/%name
%__install -m0644 cpuspeed.conf %buildroot%_sysconfdir/sysconfig/%name

%files
%doc CHANGES FEATURES README USAGE
%config(noreplace) %_sysconfdir/sysconfig/%name
/sbin/%name
%_initdir/%name

%changelog
* Sat Apr 17 2004 Grigory Milev <week@altlinux.ru> 1.1-alt1
- Initial build.



